package com.example.quizapp2;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

import com.google.android.gms.tasks.OnCompleteListener;
import com.google.android.gms.tasks.Task;
import com.google.firebase.firestore.CollectionReference;
import com.google.firebase.firestore.FirebaseFirestore;
import com.google.firebase.firestore.QuerySnapshot;

import java.util.ArrayList;
import java.util.List;


public class QuizDbHelper  extends AppCompatActivity {

    private static final String DATABASE_NAME = "MyAwesomeQuiz.db";
    private static final int DATABASE_VERSION = 1;

    private static QuizDbHelper instance;


    public ArrayList<String> categoryList= new ArrayList<String>();
    public FirebaseFirestore db = FirebaseFirestore.getInstance();
    public CollectionReference questionsRef = db.collection("Questions");


    public QuizDbHelper(Context context) {
       //super(context, null, null, DATABASE_VERSION);
       // super(context);
    }

    public static synchronized QuizDbHelper getInstance(Context context) {
        if (instance == null) {
            instance = new QuizDbHelper(context.getApplicationContext());
        }
        return instance;
    }

    public ArrayList<Question> getQuestions( String category) {
        ArrayList<Question> questionList = new ArrayList<>();

        // ArrayList<Question> questionsArrayList(String category) {
        // this.questionList = new ArrayList<Question>();
        // ArrayList<Question> questionList1 = new ArrayList<Question>();

        questionsRef.whereEqualTo("category",category)
                .get()
                .addOnCompleteListener(new OnCompleteListener<QuerySnapshot>() {


                    @Override
                    public void onComplete(@NonNull Task<QuerySnapshot> task) {

                        if(task.isSuccessful()) {
                            if(task.getResult()!=null){
                                List<Question> downloadQuestion=task.getResult().toObjects(Question.class);
                                // List<Question> downloadQuestion=task.getResult().toObjects(Question.class);
                                //  questionList=task.getResult().toObjects(Question.class);
                                try {

                                }
                                catch(Exception e){

                                }
                                for(Question ob: downloadQuestion){
                                    // Toast.makeText(QuizActivity.this, ob.getQuestion(), Toast.LENGTH_LONG).show();
                                    questionList.add(ob) ;

                                   // Toast.makeText(QuizActivity.this, "downQuest... "+String.valueOf(downloadQuestion.size()), Toast.LENGTH_LONG).show();

                                    try {
                                        for(Question ob1: questionList){

                                             Toast.makeText(QuizDbHelper.this, "ob1: " +ob1.getQuestion(), Toast.LENGTH_LONG).show();
                                            //   Toast.makeText(QuizActivity.this, "ob1: " +ob1.getOption1(), Toast.LENGTH_LONG).show();

                                        }

                                        //    Toast.makeText(QuizActivity.this, String.valueOf(questionList.size()), Toast.LENGTH_LONG).show();

                                    }catch(Exception e){
                                        //  Toast.makeText(QuizActivity.this, e.getMessage(), Toast.LENGTH_LONG).show();
                                    }

                                }
                              //  questionCountTotal=questionList.size();
                               // Toast.makeText(QuizActivity.this, "ilosc obiektow... "+String.valueOf(questionCountTotal), Toast.LENGTH_LONG).show();

                            }
                        }
                    }

                });

        // Toast.makeText(QuizActivity.this, "ilosc obiektowKoniec... "+String.valueOf(questionCountTotal), Toast.LENGTH_LONG).show();
        //   return questionList;


        return questionList;
    }


}

